﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

namespace DeskTopStateManager
{
    [ServiceContract(CallbackContract = typeof(IDeskTopStateReceiver))]
    public interface IDeskTopStateService
    {
        [OperationContract(IsOneWay = true)]
        void SetState(string id, DeskTopStateService.DeskTopStateType type);
    }
    public interface IDeskTopStateReceiver
    {
        [OperationContract(IsOneWay = true)]
        void GetState(IEnumerable<DeskTopStateService.DeskTopStateSet> state);
    }
}
